#!/bin/sh
#

echo "Cleaning the environment ..."

# Remove log and chache files
rm -fv config.cache
rm -fv config.status
rm -fv config.log

# Remove files generated by 'aclocal'
rm -fv aclocal.m4
rm -rfv autom4te.cache

# Remove files generated by 'autoheader'
rm -fv config.h.in

# Remove files generated by 'autoconf'
rm -fv configure

# Remove files generated by 'automake -a -c'
#rm -fv install-sh
#rm -fv depcomp
#rm -fv missing
rm -fv Makefile.in

# Remove files generated by './configure'
rm -fv config.h
rm -fv stamp-h1
rm -fv Makefile

#exit # DEBUG

echo "Generating build information using aclocal, autoheader, autoconf and automake;"
echo "This may take a while ..."

# Touch the timestamps on all the files since CVS messes them up
directory=`dirname $0`
touch $directory/configure.ac

# Regenerate configuration files
aclocal
autoheader
autoconf
automake -a -c
#automake --foreign --include-deps --add-missing --copy

# Run configure for this platform
#./configure $*
echo "Now you are ready to run ./configure"
